Subject: bug#35860: Delayed window positioning after buffer display

From: martin rudalics <[email-masked]>
Date: Wed, 19 Jun 2019 11:14:24 +0200

> Adding such hooks would allow to get rid of macros easily.
 > For example, instead of using two variables 'window-point-delayed'
 > and 'window-start-delayed', a pre-display hook in 'view-lossage'
 > will be able just to set a buffer-local run-once post-display hook
 > that will adjust the window positions after the buffer is displayed
 > in the window.

The problem is to properly clear these hooks to avoid that they affect
future, unrelated calls of 'display-buffer'.  In most cases they are
supposed to be one-shots so a 'condition-case' in 'display-buffer'
should suffice, but it's a bit abnormal for hooks to get auto-cleared.

martin